#!/usr/bin/perl
#!/usr/local/bin/perl
# extract_columns.pl 
# 	Extract whitespace-delimited columns in the given order.
# 
# Written by Hunter Moseley 2/18/1999 - inspired by Mike Andrec's catcol perl script.
#
#   usage: extract_columns.pl col1 col2 col3 ...
#
# 	col1 col2 ...	- column number; range [1..].
# 

if ((@ARGV < 1) || ($ARGV[0] =~ /^-h/))
  {
  print "\nError: not enough parameters given.\n" if ($ARGV[0] !~ /^-h/);
  print "\n";
  print "extract_columns.pl \n";
  print "	Extract whitespace-delimited columns in the given order.\n";
  print "\n";
  print "  usage: extract_columns.pl col1 col2 col3 ...\n";
  print "\n";
  print "	col1 col2 ...	- column number; range [1..].\n";
  exit(1);
  }

while ($line = <STDIN>) 
  {
  ($line) = ($line =~/^\s*(.*)/); # skip leading white space.
  @columns = split(/\s+/, $line);
  foreach $col (@ARGV) 
    {
    $x = $col-1;
    print "$columns[$x]\t"; 
    }
  print "\n";
  }
