#!/usr/bin/perl
# sparkyPks2Xeasy.pl 
# 	Convert an Sparky peaklist into Xeasy format
#
#   usage: sparkyPks2Xeasy.pl in_peak_file out_peak_file
#
# 	peak_file 	- name of peak file or "-" for standard input/output.
# 
#  Copyright Hunter Moseley, 2006. All rights reserved.
#  Written by Hunter Moseley 6/13/2006
#
use strict;

# Print usage info
if ((@ARGV < 2) || ($ARGV[0] =~ /^-h/))
  {
  print "\nError: not enough parameters given.\n" if ($ARGV[0] !~ /^-h/);
  print "\n";
  print "sparkyPks2Xeasy.pl \n";
  print " 	Convert an Sparky peaklist into Xeasy format.\n";
  print "\n";
  print "  usage: sparkyPks2Xeasy.pl in_peak_file out_peak_file\n";
  print "\n";
  print "	peak_file 	- name of peak file or \"-\" for standard input/output.\n";
  exit(1);
  }


use FindBin;                    
use lib $FindBin::Bin;    

use PeakParsing qw(:ALL);
use strict;


my $peak_infile = shift @ARGV;
my $xeasy_outfile = shift @ARGV;

my $peakfile_hlist = &parseSparkyPeakfile($peak_infile);
&outputXeasyPeakfile($peakfile_hlist, $xeasy_outfile);


