#!/usr/bin/perl
#!/usr/bin/perl
#  sparkyRL2bmrb.pl
#	Converts Sparky resonance list into a BMRB file.
#
#  usage: same as create_bmrb.pl
#       
#
#   Written by Hunter Moseley 04/11/2003
#   Copyright:  Hunter Moseley, 2003. All rights reserved.
#

# These modules allow me to use modules rather than hardcoding everything into one script
use FindBin;
use lib $FindBin::Bin;

use strict;

if ((@ARGV < 4) || ($ARGV[0] =~ /^-h/))
  { 
  print STDERR "\n";
  print STDERR "sparkyRL2bmrb.pl\n";
  print STDERR "	Converts Sparky resonance list into a BMRB file.\n";
  print STDERR "\n";
  print STDERR "  usage: same as create_bmrb.pl but the input format is a Sparky resonance list format.\n";
  print STDERR "\n";
  
  system($FindBin::Bin . "/create_bmrb.pl " . join(" ",@ARGV)); 
  print STDERR "\n";
  print STDERR "***Remember: The format is the Sparky Resonance List format.\n";
  exit(1);
  }

# Read in command line parameters
my $input_assignment_file = shift @ARGV;

if ($input_assignment_file eq "-")
  { 
  system($FindBin::Bin . "/extract_columns.pl 1 2 4 | " . $FindBin::Bin . "/create_bmrb.pl - " . join(" ",@ARGV));
  }
else
  { 
  system($FindBin::Bin . "/extract_columns.pl 1 2 4 < $input_assignment_file | " . $FindBin::Bin . "/create_bmrb.pl - " . join(" ",@ARGV));
  }


